#2011, Eulalie Sauthier, Master Thesis

monthtoyear <- function(input_data,colonne) {		#convert montly precipitations to annual precipitation

size_vec<-(length(input_data[ ,colonne])/12)  		#size of input data

out<-vector(length= size_vec)					#size outpout
j<-1;k<-1;i<-1								#indice de début et fin

out[1]<-mean(input_data[1:12,colonne])			#moyenne des valeurs retenues pour 1ere années
o<-13;r<-24								#index pour 2e ligne

for(i in 2: size_vec){	
out[i]<-mean(input_data[o:r,colonne])			#moyenne des valeurs retenues pour autres années
o<-o+12;r<-r+12;							#index pour autres années
}
return(out)								#retourne vecteur complet
}